Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface NetworkAccessPointMBean

public interface NetworkAccessPointMBean
extends ConfigurationMBean

A server can specifiy additional network connections by using a NetworkAccessPointMBean. The NetworkAccessPointMBean is also used to set the listen address and external DNS name that a server uses for a particular channel.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ServerMBean`, `ServerMBean.getNetworkAccessPoints()`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getAcceptBacklog()` Allowed backlog of connection requests on the listen port.
`int` | `getChannelWeight()` A weight to give this channel when creating server-to-server connections.
`java.lang.String` | `getClusterAddress()` This channel's cluster address.
`int` | `getCompleteMessageTimeout()` The maximum number of seconds spent waiting for a complete message to be received.
`int` | `getIdleConnectionTimeout()` The maximum number of seconds an connection is allowed to be idle before it is closed by the server.
`java.lang.String` | `getListenAddress()` A value of null indicates that this value is inherited from the server.
`int` | `getListenPort()` The listen port for the channel.
`int` | `getLoginTimeoutMillis()` The login timeout for the server, in milliseconds.
`int` | `getMaxMessageSize()` Specify the maximum message size allowable in a message header.
`java.lang.String` | `getName()` The name of this NetworkAccessPoint.
`java.lang.String` | `getProtocol()` The protocol that will be discriminated by this NetworkAccessPoint.
`java.lang.String` | `getPublicAddress()` The external address for the current server, which will be sent to clients.
`int` | `getPublicPort()` The external listen port for the channel.
`int` | `getTunnelingClientPingSecs()` Interval (in seconds) at which to ping an http-tunneled client to see if its still alive.
`int` | `getTunnelingClientTimeoutSecs()` Duration (in seconds) after which a missing http-tunneled client is considered dead.
`boolean` | `isHttpEnabledForThisProtocol()` Whether or not this port will accept HTTP requests.
`boolean` | `isOutboundEnabled()` Whether or not new server-to-server connections may consider this channel when initiating a connection.
`boolean` | `isTunnelingEnabled()` Enables tunneling for those protocols that support tunneling.
`void` | `setAcceptBacklog(int count)` Sets the acceptBacklog attribute of the NetworkAccessPointMBean object
`void` | `setChannelWeight(int weight)` Sets the channelWeight attribute of the NetworkAccessPointMBean object
`void` | `setClusterAddress(java.lang.String address)` Sets the clusterAddress attribute of the NetworkAccessPointMBean object
`void` | `setCompleteCOMMessageTimeout(int seconds)` Sets the completeCOMMessageTimeout attribute of the NetworkAccessPointMBean object
`void` | `setCompleteHTTPMessageTimeout(int seconds)` Sets the completeHTTPMessageTimeout attribute of the NetworkAccessPointMBean object
`void` | `setCompleteIIOPMessageTimeout(int seconds)` Sets the completeIIOPMessageTimeout attribute of the NetworkAccessPointMBean object
`void` | `setCompleteMessageTimeout(int seconds)` Sets the completeMessageTimeout attribute of the NetworkAccessPointMBean object
`void` | `setCompleteT3MessageTimeout(int seconds)` Sets the completeT3MessageTimeout attribute of the NetworkAccessPointMBean object
`void` | `setExternalDNSName(java.lang.String externalDNSName)` Sets the externalDNSName attribute of the NetworkAccessPointMBean object
`void` | `setHttpEnabledForThisProtocol(boolean enabled)` Sets the httpEnabledForThisProtocol attribute of the NetworkAccessPointMBean object
`void` | `setIdleConnectionTimeout(int seconds)` Sets the idleConnectionTimeout attribute of the NetworkAccessPointMBean object
`void` | `setIdleIIOPConnectionTimeout(int seconds)` Sets the idleIIOPConnectionTimeout attribute of the NetworkAccessPointMBean object
`void` | `setListenAddress(java.lang.String address)` Sets the listenAddress attribute of the NetworkAccessPointMBean object
`void` | `setListenPort(int port)` Sets the listenPort attribute of the NetworkAccessPointMBean object
`void` | `setLoginTimeoutMillis(int timeout)` Sets the loginTimeoutMillis attribute of the NetworkAccessPointMBean object
`void` | `setLoginTimeoutMillisSSL(int millis)` Sets the loginTimeoutMillisSSL attribute of the NetworkAccessPointMBean object
`void` | `setMaxMessageSize(int maxsize)` Sets the maxMessageSize attribute of the NetworkAccessPointMBean object
`void` | `setName(java.lang.String name)` Sets the name attribute of the NetworkAccessPointMBean object
`void` | `setOutboundEnabled(boolean enabled)` Sets the outboundEnabled attribute of the NetworkAccessPointMBean object
`void` | `setProtocol(java.lang.String protocol)` Sets the protocol attribute of the NetworkAccessPointMBean object
`void` | `setPublicAddress(java.lang.String address)` Sets the publicAddress attribute of the NetworkAccessPointMBean object
`void` | `setPublicPort(int port)` Sets the publicPort attribute of the NetworkAccessPointMBean object
`void` | `setSSLListenPort(int port)` Sets the sSLListenPort attribute of the NetworkAccessPointMBean object
`void` | `setTunnelingClientPingSecs(int secs)` Sets the tunnelingClientPingSecs attribute of the NetworkAccessPointMBean object
`void` | `setTunnelingClientTimeoutSecs(int secs)` Sets the tunnelingClientTimeoutSecs attribute of the NetworkAccessPointMBean object
`void` | `setTunnelingEnabled(boolean enabled)` Sets the tunnelingEnabled attribute of the NetworkAccessPointMBean object.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getName

    public java.lang.String getName()

  The name of this NetworkAccessPoint.

  Default Value: ""
  Returns:
    The name value

### setName

    public void setName(java.lang.String name)
                 throws javax.management.InvalidAttributeValueException

  Sets the name attribute of the NetworkAccessPointMBean object

  Parameters:
    `name` - The new name value
  Throws:
    javax.management.InvalidAttributeValueException -

### getProtocol

    public java.lang.String getProtocol()

  The protocol that will be discriminated by this NetworkAccessPoint.

  Default Value: "t3"
  Legal Values: "t3","iiop","com","http","t3s","iiops","https","admin"
  Returns:
    The protocol value

### setProtocol

    public void setProtocol(java.lang.String protocol)
                     throws javax.management.InvalidAttributeValueException

  Sets the protocol attribute of the NetworkAccessPointMBean object

  Parameters:
    `protocol` - The new protocol value
  Throws:
    javax.management.InvalidAttributeValueException -

### getListenAddress

    public java.lang.String getListenAddress()

  A value of null indicates that this value is inherited from the server.

  Default Value: null
  Returns:
    The listenAddress value
  See Also:
    `ServerMBean.getListenAddress()`

### setListenAddress

    public void setListenAddress(java.lang.String address)
                          throws javax.management.InvalidAttributeValueException

  Sets the listenAddress attribute of the NetworkAccessPointMBean object

  Parameters:
    `address` - The new listenAddress value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPublicAddress

    public java.lang.String getPublicAddress()

  The external address for the current server, which will be sent to clients. This will be required for the configurations in which need to cross a firewall doing Network Address Translation. This property supercedes ExternalDNSName. If unset then this value is inherited, first from the ListenAddress, and then from the ServerMBean.

  Default Value: null
  Returns:
    The publicAddress value
  See Also:
    `ServerMBean.getListenAddress()`

### setPublicAddress

    public void setPublicAddress(java.lang.String address)
                          throws javax.management.InvalidAttributeValueException

  Sets the publicAddress attribute of the NetworkAccessPointMBean object

  Parameters:
    `address` - The new publicAddress value
  Throws:
    javax.management.InvalidAttributeValueException -

### getListenPort

    public int getListenPort()

  The listen port for the channel. -1 implies that this value is inherited from the server.

  Default Value: -1
  Legal Value: (value == -1 || (value >= 1 && value <= 65534))
  Returns:
    The listenPort value
  See Also:
    `ServerMBean.getListenPort()`

### setListenPort

    public void setListenPort(int port)
                       throws javax.management.InvalidAttributeValueException

  Sets the listenPort attribute of the NetworkAccessPointMBean object

  Parameters:
    `port` - The new listenPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPublicPort

    public int getPublicPort()

  The external listen port for the channel. If unset then this value is inherited, first from the ListenPort, and then from the ServerMBean.

  Default Value: -1
  Legal Value: (value == -1 || (value >= 1 && value <= 65534))
  Returns:
    The publicPort value
  See Also:
    `ServerMBean.getListenPort()`

### setPublicPort

    public void setPublicPort(int port)
                       throws javax.management.InvalidAttributeValueException

  Sets the publicPort attribute of the NetworkAccessPointMBean object

  Parameters:
    `port` - The new publicPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### isHttpEnabledForThisProtocol

    public boolean isHttpEnabledForThisProtocol()

  Whether or not this port will accept HTTP requests. HTTP is generally required by binary protocols for downloading stubs and other resources.

  Default Value: true
  Returns:
    The httpEnabledForThisProtocol value

### setHttpEnabledForThisProtocol

    public void setHttpEnabledForThisProtocol(boolean enabled)
                                       throws javax.management.InvalidAttributeValueException

  Sets the httpEnabledForThisProtocol attribute of the NetworkAccessPointMBean object

  Parameters:
    `enabled` - The new httpEnabledForThisProtocol value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAcceptBacklog

    public int getAcceptBacklog()

  Allowed backlog of connection requests on the listen port. -1 implies that this value is inherited from the channel.

  Default Value: -1
  Legal Minimum Value: -1
  Returns:
    The acceptBacklog value
  See Also:
    `NetworkChannelMBean.getAcceptBacklog()`

### setAcceptBacklog

    public void setAcceptBacklog(int count)
                          throws javax.management.InvalidAttributeValueException

  Sets the acceptBacklog attribute of the NetworkAccessPointMBean object

  Parameters:
    `count` - The new acceptBacklog value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLoginTimeoutMillis

    public int getLoginTimeoutMillis()

  The login timeout for the server, in milliseconds. This value must be equal to or greater than 0. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 100000
  Returns:
    The loginTimeoutMillis value
  See Also:
    `NetworkChannelMBean.getLoginTimeoutMillis()`

### setLoginTimeoutMillis

    public void setLoginTimeoutMillis(int timeout)
                               throws javax.management.InvalidAttributeValueException,
                                      DistributedManagementException

  Sets the loginTimeoutMillis attribute of the NetworkAccessPointMBean object

  Parameters:
    `timeout` - The new loginTimeoutMillis value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getTunnelingClientPingSecs

    public int getTunnelingClientPingSecs()

  Interval (in seconds) at which to ping an http-tunneled client to see if its still alive. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1 || value > 0)
  Returns:
    The tunnelingClientPingSecs value
  See Also:
    `NetworkChannelMBean.getTunnelingClientPingSecs()`

### setTunnelingClientPingSecs

    public void setTunnelingClientPingSecs(int secs)
                                    throws javax.management.InvalidAttributeValueException

  Sets the tunnelingClientPingSecs attribute of the NetworkAccessPointMBean object

  Parameters:
    `secs` - The new tunnelingClientPingSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getTunnelingClientTimeoutSecs

    public int getTunnelingClientTimeoutSecs()

  Duration (in seconds) after which a missing http-tunneled client is considered dead. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: (value == -1 || value > 0)
  Returns:
    The tunnelingClientTimeoutSecs value
  See Also:
    `NetworkChannelMBean.getTunnelingClientTimeoutSecs()`

### setTunnelingClientTimeoutSecs

    public void setTunnelingClientTimeoutSecs(int secs)
                                       throws javax.management.InvalidAttributeValueException

  Sets the tunnelingClientTimeoutSecs attribute of the NetworkAccessPointMBean object

  Parameters:
    `secs` - The new tunnelingClientTimeoutSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### isTunnelingEnabled

    public boolean isTunnelingEnabled()

  Enables tunneling for those protocols that support tunneling. Each channel explicitly defaults to off and you will need to explicitly configure it to be on if you require tunneling. This value is not inherited from the Server.

  Default Value: false
  Returns:
    The tunnelingEnabled value

### setTunnelingEnabled

    public void setTunnelingEnabled(boolean enabled)
                             throws javax.management.InvalidAttributeValueException

  Sets the tunnelingEnabled attribute of the NetworkAccessPointMBean object.

  Parameters:
    `enabled` - The new tunnelingEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCompleteMessageTimeout

    public int getCompleteMessageTimeout()

  The maximum number of seconds spent waiting for a complete message to be received. This attribute helps guard against denial of service attacks in which a caller indicates that they will be sending a message of a certain size which they never finish sending. -1 implies that this value is inherited from the channel.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Legal Maximum Value: 480
  Returns:
    The completeMessageTimeout value

### setCompleteMessageTimeout

    public void setCompleteMessageTimeout(int seconds)
                                   throws javax.management.InvalidAttributeValueException,
                                          DistributedManagementException

  Sets the completeMessageTimeout attribute of the NetworkAccessPointMBean object

  Parameters:
    `seconds` - The new completeMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getIdleConnectionTimeout

    public int getIdleConnectionTimeout()

  The maximum number of seconds an connection is allowed to be idle before it is closed by the server. This attribute helps guard against server deadlock through too many open connections. -1 implies that this value is inherited from the default channel.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: -1
  Legal Minimum Value: -1
  Returns:
    The idleConnectionTimeout value

### setIdleConnectionTimeout

    public void setIdleConnectionTimeout(int seconds)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Sets the idleConnectionTimeout attribute of the NetworkAccessPointMBean object

  Parameters:
    `seconds` - The new idleConnectionTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### getMaxMessageSize

    public int getMaxMessageSize()

  Specify the maximum message size allowable in a message header. This attribute attempts to prevent a denial of service attack whereby a caller attempts to force the server to allocate more memory than is available thereby keeping the server from responding quickly to other requests.

  A dynamic MBean attribute
  A configurable MBean attribute
  Default Value: 10000000
  Legal Value: ((value >= 4096) && (value <= 2000000000))
  Returns:
    The maxMessageSize value

### setMaxMessageSize

    public void setMaxMessageSize(int maxsize)
                           throws javax.management.InvalidAttributeValueException,
                                  DistributedManagementException

  Sets the maxMessageSize attribute of the NetworkAccessPointMBean object

  Parameters:
    `maxsize` - The new maxMessageSize value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### isOutboundEnabled

    public boolean isOutboundEnabled()

  Whether or not new server-to-server connections may consider this channel when initiating a connection. This is only relevant if the connection needs to be bound to the channel's listen address. By default connections are initiated using a local address selected by the underlying hardware. This will only work for binary protocols which support both outbound and inbound traffic.

  Default Value: false
  Returns:
    The outboundEnabled value

### setOutboundEnabled

    public void setOutboundEnabled(boolean enabled)
                            throws javax.management.InvalidAttributeValueException

  Sets the outboundEnabled attribute of the NetworkAccessPointMBean object

  Parameters:
    `enabled` - The new outboundEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getChannelWeight

    public int getChannelWeight()

  A weight to give this channel when creating server-to-server connections.

  Default Value: 50
  Legal Minimum Value: 1
  Legal Maximum Value: 100
  Returns:
    The channelWeight value

### setChannelWeight

    public void setChannelWeight(int weight)
                          throws javax.management.InvalidAttributeValueException

  Sets the channelWeight attribute of the NetworkAccessPointMBean object

  Parameters:
    `weight` - The new channelWeight value
  Throws:
    javax.management.InvalidAttributeValueException -

### getClusterAddress

    public java.lang.String getClusterAddress()

  This channel's cluster address. If this is not set, the public address is used and if this is not set then the cluster address from the cluster configuration is used in its place.

  Default Value: null
  Returns:
    The clusterAddress value
  See Also:
    `ClusterMBean.getClusterAddress()`

### setClusterAddress

    public void setClusterAddress(java.lang.String address)
                           throws javax.management.InvalidAttributeValueException

  Sets the clusterAddress attribute of the NetworkAccessPointMBean object

  Parameters:
    `address` - The new clusterAddress value
  Throws:
    javax.management.InvalidAttributeValueException -

### setIdleIIOPConnectionTimeout

    public void setIdleIIOPConnectionTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the idleIIOPConnectionTimeout attribute of the NetworkAccessPointMBean object

  Parameters:
    `seconds` - The new idleIIOPConnectionTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setSSLListenPort

    public void setSSLListenPort(int port)
                          throws javax.management.InvalidAttributeValueException

  Sets the sSLListenPort attribute of the NetworkAccessPointMBean object

  Parameters:
    `port` - The new sSLListenPort value
  Throws:
    javax.management.InvalidAttributeValueException -

### setExternalDNSName

    public void setExternalDNSName(java.lang.String externalDNSName)
                            throws javax.management.InvalidAttributeValueException

  Sets the externalDNSName attribute of the NetworkAccessPointMBean object

  Parameters:
    `externalDNSName` - The new externalDNSName value
  Throws:
    javax.management.InvalidAttributeValueException -

### setLoginTimeoutMillisSSL

    public void setLoginTimeoutMillisSSL(int millis)
                                  throws javax.management.InvalidAttributeValueException

  Sets the loginTimeoutMillisSSL attribute of the NetworkAccessPointMBean object

  Parameters:
    `millis` - The new loginTimeoutMillisSSL value
  Throws:
    javax.management.InvalidAttributeValueException -

### setCompleteT3MessageTimeout

    public void setCompleteT3MessageTimeout(int seconds)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

  Sets the completeT3MessageTimeout attribute of the NetworkAccessPointMBean object

  Parameters:
    `seconds` - The new completeT3MessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setCompleteHTTPMessageTimeout

    public void setCompleteHTTPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Sets the completeHTTPMessageTimeout attribute of the NetworkAccessPointMBean object

  Parameters:
    `seconds` - The new completeHTTPMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setCompleteCOMMessageTimeout

    public void setCompleteCOMMessageTimeout(int seconds)
                                      throws javax.management.InvalidAttributeValueException,
                                             DistributedManagementException

  Sets the completeCOMMessageTimeout attribute of the NetworkAccessPointMBean object

  Parameters:
    `seconds` - The new completeCOMMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### setCompleteIIOPMessageTimeout

    public void setCompleteIIOPMessageTimeout(int seconds)
                                       throws javax.management.InvalidAttributeValueException,
                                              DistributedManagementException

  Sets the completeIIOPMessageTimeout attribute of the NetworkAccessPointMBean object

  Parameters:
    `seconds` - The new completeIIOPMessageTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD